Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.util
Class AnnotatedBeanProperty<T extends Annotation>

    java.lang.Object
      org.jboss.seam.util.AnnotatedBeanProperty<T>

All Implemented Interfaces:
  Serializable

    public class AnnotatedBeanProperty<T extends Annotation>

extends Object
implements Serializable

A convenience class for working with an annotated property (either a field or method) of a JavaBean class.

Author:
  Shane Bryzak
See Also:
  Serialized Form

Constructor Summary
`AnnotatedBeanProperty(Class<?> cls, Class<? extends Annotation> annotationClass)`

Method Summary
`T` | `getAnnotation()`
`String` | `getName()`
`Field` | `getPropertyField()`
`Method` | `getPropertyGetter()`
`Method` | `getPropertySetter()`
`Type` | `getPropertyType()`
`Object` | `getValue(Object bean)`
`boolean` | `isSet()`
`void` | `setValue(Object bean, Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotatedBeanProperty

    public AnnotatedBeanProperty(Class<?> cls,
                                 Class<? extends Annotation> annotationClass)

Method Detail

### getPropertyField

    public Field getPropertyField()

### getPropertyGetter

    public Method getPropertyGetter()

### getPropertySetter

    public Method getPropertySetter()

### setValue

    public void setValue(Object bean,
                         Object value)

### getValue

    public Object getValue(Object bean)

### getName

    public String getName()

### getAnnotation

    public T getAnnotation()

### getPropertyType

    public Type getPropertyType()

### isSet

    public boolean isSet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.